MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024873Open CASCADE[OCCT] OCCT:DRAWpublic2014-04-25 22:132014-11-11 12:52
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024873: Draw Harness, ViewerTest - add command vbounding to show presentation bounding box
DescriptionCommand bounding can be used to show bounding box in axo viewer, however there is not analog for 3D viewer. Presentation has method Prs3d_Presentation::BoundBox() which can be used to implement this command.
Steps To Reproduce
pload MODELING VISUALIZATION
vinit View1
vclear
vaxo
vsetdispmode 1
psphere s 2
vdisplay s
vfit
vbounding s
vbounding -print s
TagsNo tags attached.
Test case numberbugs demo(001) bug24873_1, bug24873_2
Attached Files

- Relationships
related to 0024307closedapn TKOpenGl - efficient culling of large number of presentations 

-  Notes
(0029089)
kgv (developer)
2014-04-25 22:31

Patch is ready for review in branch CR24873.
(0029116)
san (developer)
2014-04-29 10:17

Branch CR24873 reviewed without remarks, ready for testing.
(0029209)
mkv (tester)
2014-05-06 12:08

Dear BugMaster,

Branch CR24873 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: af1fd8bb40df8a98489f3676c500b7bd5e388729

Number of compiler warnings:

occt component :
Linux: 19 (18 on master)
Windows: 0 (0 on master)

There is compilation error on Linux platform:
ViewerTest.cxx:2371, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24873-master-occt/Debian60-64/bugs/demo/bug24873_1.html [^]
http://occt-tests/CR24873-master-occt/Windows-32-VC9/bugs/demo/bug24873_1.html [^]
bugs demo(001) bug24873_1: OK

http://occt-tests/CR24873-master-occt/Debian60-64/bugs/demo/bug24873_2.html [^]
http://occt-tests/CR24873-master-occt/Windows-32-VC9/bugs/demo/bug24873_2.html [^]
bugs demo(001) bug24873_2: OK

Testing on Linux:
Total MEMORY difference: 354962652 / 354644212
Total CPU difference: 62547.56999999998 / 53204.47999999981

Testing on Windows:
Total MEMORY difference: 379472340 / 379843896
Total CPU difference: 38342.75 / 36615.28125

There are no differences in images found by testdiff.
(0029210)
kgv (developer)
2014-05-06 12:23

Compilation warning should be fixed now - please re-test compilation.
(0029250)
mkv (tester)
2014-05-08 12:13

Dear BugMaster,

Branch CR24873 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: bbb49da458cae0e600fdca3329b4abbcea7d08d7

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Testing cases:
http://occt-tests/CR24873-master-occt/Debian60-64/bugs/demo/bug24873_1.html [^]
http://occt-tests/CR24873-master-occt/Windows-32-VC9/bugs/demo/bug24873_1.html [^]
bugs demo(001) bug24873_1: OK

http://occt-tests/CR24873-master-occt/Debian60-64/bugs/demo/bug24873_2.html [^]
http://occt-tests/CR24873-master-occt/Windows-32-VC9/bugs/demo/bug24873_2.html [^]
bugs demo(001) bug24873_2: OK

Testing on Linux:
Total MEMORY difference: 355554664 / 355682284
Total CPU difference: 52280.16999999991 / 52178.399999999936

Testing on Windows:
Total MEMORY difference: 379819484 / 380388308
Total CPU difference: 49573.40625 / 37765.75

There are no differences in images found by testdiff.

- Related Changesets
occt: master c2a388f8
Timestamp: 2014-05-08 08:57:03
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024873: Draw Harness, ViewerTest - add command vbounding to show presentation bounding box

Test cases for issue CR24873
findPresentation() - fix wrong type of the argument
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/bugs/demo/bug24873_1 Diff ] File ]
add - tests/bugs/demo/bug24873_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-25 22:13 kgv New Issue
2014-04-25 22:13 kgv Assigned To => mkv
2014-04-25 22:14 kgv Assigned To mkv => kgv
2014-04-25 22:14 kgv Status new => assigned
2014-04-25 22:14 kgv Relationship added related to 0024307
2014-04-25 22:31 kgv Note Added: 0029089
2014-04-25 22:31 kgv Assigned To kgv => san
2014-04-25 22:31 kgv Status assigned => resolved
2014-04-25 22:35 kgv Steps to Reproduce Updated View Revisions
2014-04-29 10:17 san Note Added: 0029116
2014-04-29 10:17 san Assigned To san => bugmaster
2014-04-29 10:17 san Status resolved => reviewed
2014-04-29 15:05 mkv Assigned To bugmaster => mkv
2014-05-06 12:08 mkv Note Added: 0029209
2014-05-06 12:09 mkv Test case number => bugs demo(001) bug24873_1, bug24873_2
2014-05-06 12:09 mkv Assigned To mkv => kgv
2014-05-06 12:09 mkv Status reviewed => assigned
2014-05-06 12:23 kgv Note Added: 0029210
2014-05-06 12:23 kgv Assigned To kgv => bugmaster
2014-05-06 12:23 kgv Status assigned => resolved
2014-05-06 12:23 kgv Status resolved => reviewed
2014-05-07 10:46 mkv Assigned To bugmaster => mkv
2014-05-08 12:13 mkv Note Added: 0029250
2014-05-08 12:14 mkv Assigned To mkv => bugmaster
2014-05-08 12:14 mkv Status reviewed => tested
2014-05-12 16:20 bugmaster Changeset attached => occt master c2a388f8
2014-05-12 16:20 bugmaster Status tested => verified
2014-05-12 16:20 bugmaster Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker